(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    335490,       6689]
NotebookOptionsPosition[    332748,       6635]
NotebookOutlinePosition[    333182,       6652]
CellTagsIndexPosition[    333139,       6649]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8151268426415677`*^9, 3.8151268453442554`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"cfefd564-2c30-411d-bc5b-fe0aeb4fd85d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"arbol", "=", 
  RowBox[{"Graph", "[", 
   RowBox[{
    RowBox[{"AristasCombinatoricaToWolframSystem", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "f"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "c"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"b", ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "\"\<\>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"f", ",", "g"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "e"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"d", ",", "k"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "h"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"g", ",", "\"\< \>\""}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"h", ",", "i"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"h", ",", "j"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "l"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"e", ",", "\"\<  \>\""}], "}"}]}], "}"}], "]"}], ",", 
    RowBox[{"VertexLabels", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"EdgeStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"f", "\[UndirectedEdge]", "\"\<\>\""}], "\[Rule]", 
        "Transparent"}], ",", 
       RowBox[{
        RowBox[{"g", "\[UndirectedEdge]", "\"\< \>\""}], "\[Rule]", 
        "Transparent"}], ",", 
       RowBox[{
        RowBox[{"e", "\[UndirectedEdge]", "\"\<  \>\""}], "\[Rule]", 
        "Transparent"}]}], "}"}]}], ",", 
    RowBox[{"VertexSize", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<\>\"", "\[Rule]", "0.0000000"}], ",", 
       RowBox[{"\"\< \>\"", "\[Rule]", "0.0000000"}], ",", 
       RowBox[{"\"\<  \>\"", "\[Rule]", "0.0000000"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.8151308089167523`*^9, 3.8151311255398703`*^9}, {
   3.8151311929572673`*^9, 3.815131230075717*^9}, {3.8151312888684635`*^9, 
   3.8151313744629335`*^9}, 3.815136926217006*^9, {3.8151546003241634`*^9, 
   3.815154604473422*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"7610b8b6-6de7-4378-b01f-6dc7de1db106"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
       "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
       " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 9}, {
       7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
      EdgeStyle -> {
        UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0], 
         UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
         UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0]}, 
       VertexLabels -> {Automatic}, 
       VertexSize -> {" " -> 0., "  " -> 0., "" -> 0.}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{1.287592612918428, 3.4335803011158084`}, {
         0.42919753763947605`, 2.575185225836856}}], 
        LineBox[{{1.287592612918428, 3.4335803011158084`}, {
         2.1459876881973803`, 2.575185225836856}}], 
        LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
         1.7167901505579042`}}], 
        LineBox[{{0.42919753763947605`, 2.575185225836856}, {
         0.8583950752789521, 1.7167901505579042`}}], 
        {GrayLevel[0], Opacity[0], 
         LineBox[{{2.1459876881973803`, 2.575185225836856}, {
          1.7167901505579042`, 1.7167901505579042`}}]}, 
        LineBox[{{2.1459876881973803`, 2.575185225836856}, {2.575185225836856,
          1.7167901505579042`}}], 
        LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
         0.42919753763947605`, 0.8583950752789522}}], 
        LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
         1.287592612918428, 0.8583950752789522}}], 
        LineBox[{{2.575185225836856, 1.7167901505579042`}, {
         2.1459876881973803`, 0.8583950752789522}}], 
        {GrayLevel[0], Opacity[0], 
         LineBox[{{2.575185225836856, 1.7167901505579042`}, {
          3.0043827634763325`, 0.8583950752789522}}]}, 
        LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
        {GrayLevel[0], Opacity[0], 
         LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
          0.8583950752789521, 0.}}]}, 
        LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
         1.7167901505579042`, 0.}}], 
        LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
         2.575185225836856, 0.}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.287592612918428, 3.4335803011158084}, 
          0.03327016508804338], 
         InsetBox["a", 
          Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.42919753763947605, 2.575185225836856}, 
          0.03327016508804338], 
         InsetBox["b", 
          Offset[{2, 2}, {0.4624677027275194, 2.6084553909248998}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1459876881973803, 2.575185225836856}, 
          0.03327016508804338], 
         InsetBox["f", 
          Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 1.7167901505579042}, 0.03327016508804338], 
         InsetBox["c", 
          Offset[{2, 2}, {0.03327016508804338, 1.7500603156459476}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8583950752789521, 1.7167901505579042}, 
          0.03327016508804338], 
         InsetBox["d", 
          Offset[{2, 2}, {0.8916652403669955, 1.7500603156459476}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.575185225836856, 1.7167901505579042}, 
          0.03327016508804338], 
         InsetBox["g", 
          Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.42919753763947605, 0.8583950752789522}, 
          0.03327016508804338], 
         InsetBox["e", 
          Offset[{2, 2}, {0.4624677027275194, 0.8916652403669956}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.287592612918428, 0.8583950752789522}, 
          0.03327016508804338], 
         InsetBox["k", 
          Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1459876881973803, 0.8583950752789522}, 
          0.03327016508804338], 
         InsetBox["h", 
          Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
         InsetBox["\<\" \"\>", 
          Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
         InsetBox["i", 
          Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
         InsetBox["j", 
          Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03327016508804338], 
         InsetBox["l", 
          Offset[{2, 2}, {0.03327016508804338, 0.03327016508804338}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
         InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None]], "Output",
 CellChangeTimes->{
  3.8151536880759506`*^9, {3.8151545888092885`*^9, 3.815154605385236*^9}, 
   3.8151548670378203`*^9, 3.8151555917758365`*^9, {3.815159845918193*^9, 
   3.8151598534233637`*^9}, 3.815164769624402*^9, 3.8151661333985853`*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"0b9fac63-6b56-4b38-9c6f-023bcb10198d"]
}, Open  ]],

Cell["Orden inicial:", "Text",
 CellChangeTimes->{{3.8151378430904517`*^9, 
  3.8151378549324846`*^9}},ExpressionUUID->"8bd3ac2f-bf13-45d8-a6d0-\
5a759aa1f016"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Orden", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "l", ",", "k", ",", "f",
      ",", "g", ",", "h", ",", "i", ",", "j"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"HighlightGraph", "[", 
    RowBox[{"arbol", ",", 
     RowBox[{"Orden", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "vertex"}], "]"}], "]"}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
     RowBox[{"GraphHighlightStyle", "\[Rule]", "\"\<Thick\>\""}], ",", 
     RowBox[{"VertexSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"VertexShapeFunction", "\[Rule]", "\"\<Square\>\""}]}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"vertex", ",", 
     RowBox[{"Length", "[", "Orden", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8151369076414623`*^9, 3.8151369179666204`*^9}, {
  3.81513701451849*^9, 3.815137038168178*^9}, {3.815137070748028*^9, 
  3.815137162764141*^9}, {3.815137193414852*^9, 3.8151371941129093`*^9}, {
  3.815137268847743*^9, 3.815137329316506*^9}, {3.815137364189252*^9, 
  3.8151374408725533`*^9}, {3.8151374789519663`*^9, 3.815137504553839*^9}, {
  3.815137537859736*^9, 3.815137589861252*^9}, {3.8151376661057205`*^9, 
  3.8151376879800835`*^9}, {3.8151377707507677`*^9, 3.8151378098817663`*^9}, {
  3.815154524945545*^9, 3.8151545604579363`*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"e4876c8f-c999-45b0-95ac-72c61d395cd1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`a}, GraphHighlightStyle -> {"Thick"},
          ImagePadding -> 10, 
         VertexLabels -> {Automatic, $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`a -> "Square"}, 
         VertexSize -> {$CellContext`a -> Medium, " " -> 0., "  " -> 0., "" -> 
           0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["b", 
            Offset[{2, 2}, {0.4624677027275194, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.7167901505579042}, 0.03327016508804338], 
           InsetBox["c", 
            Offset[{2, 2}, {0.03327016508804338, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8583950752789521, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["d", 
            Offset[{2, 2}, {0.8916652403669955, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["e", 
            Offset[{2, 2}, {0.4624677027275194, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03327016508804338], 
           InsetBox["l", 
            Offset[{2, 2}, {0.03327016508804338, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`b, $CellContext`a}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`a -> "Name", $CellContext`b -> "Name"}, 
         VertexShapeFunction -> {$CellContext`b -> "Square", $CellContext`a -> 
           "Square"}, 
         VertexSize -> {$CellContext`b -> Medium, $CellContext`a -> Medium, 
           " " -> 0., "  " -> 0., "" -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0., 1.7167901505579042}, 0.03327016508804338], 
           InsetBox["c", 
            Offset[{2, 2}, {0.03327016508804338, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8583950752789521, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["d", 
            Offset[{2, 2}, {0.8916652403669955, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["e", 
            Offset[{2, 2}, {0.4624677027275194, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03327016508804338], 
           InsetBox["l", 
            Offset[{2, 2}, {0.03327016508804338, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`b, $CellContext`a, $CellContext`c}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`a -> "Name", $CellContext`c -> 
           "Name", $CellContext`b -> "Name"}, 
         VertexShapeFunction -> {$CellContext`b -> "Square", $CellContext`c -> 
           "Square", $CellContext`a -> "Square"}, 
         VertexSize -> {$CellContext`b -> Medium, $CellContext`a -> 
           Medium, $CellContext`c -> Medium, " " -> 0., "  " -> 0., "" -> 
           0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8583950752789521, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["d", 
            Offset[{2, 2}, {0.8916652403669955, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["e", 
            Offset[{2, 2}, {0.4624677027275194, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03327016508804338], 
           InsetBox["l", 
            Offset[{2, 2}, {0.03327016508804338, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`b, $CellContext`a, $CellContext`d, \
$CellContext`c}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`a -> "Name", $CellContext`c -> 
           "Name", $CellContext`b -> "Name", $CellContext`d -> "Name"}, 
         VertexShapeFunction -> {$CellContext`d -> "Square", $CellContext`b -> 
           "Square", $CellContext`c -> "Square", $CellContext`a -> "Square"}, 
         VertexSize -> {$CellContext`b -> Medium, $CellContext`a -> 
           Medium, $CellContext`c -> Medium, $CellContext`d -> Medium, " " -> 
           0., "  " -> 0., "" -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["e", 
            Offset[{2, 2}, {0.4624677027275194, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03327016508804338], 
           InsetBox["l", 
            Offset[{2, 2}, {0.03327016508804338, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`d, $CellContext`c, \
$CellContext`b, $CellContext`a}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`e -> 
           "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`e -> "Square", $CellContext`d -> 
           "Square", $CellContext`a -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`b -> Medium, " " -> 
           0., "  " -> 0., $CellContext`d -> Medium, $CellContext`c -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", Offset[{2, 2}, 
            {2.179257853285424, 2.6084553909248998}], ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03327016508804338], 
           InsetBox["l", 
            Offset[{2, 2}, {0.03327016508804338, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`d, $CellContext`c, \
$CellContext`l, $CellContext`b, $CellContext`a}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`l -> 
           "Name", $CellContext`e -> "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`l -> "Square", $CellContext`e -> 
           "Square", $CellContext`d -> "Square", $CellContext`a -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, " " -> 0., "  " -> 
           0., $CellContext`d -> Medium, $CellContext`c -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`d, $CellContext`c, \
$CellContext`l, $CellContext`b, $CellContext`a, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`l -> "Name", $CellContext`e -> 
           "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`e -> "Square", $CellContext`d -> 
           "Square", $CellContext`a -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> Medium, " " -> 
           0., "  " -> 0., $CellContext`d -> Medium, $CellContext`c -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`d, $CellContext`c, \
$CellContext`l, $CellContext`b, $CellContext`f, $CellContext`a, \
$CellContext`k}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`l -> "Name", $CellContext`f -> 
           "Name", $CellContext`e -> "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`e -> "Square", $CellContext`d -> 
           "Square", $CellContext`a -> "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> Medium, " " -> 
           0., "  " -> 0., $CellContext`d -> Medium, $CellContext`f -> 
           Medium, $CellContext`c -> Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 2.499444478851095}, \
{2.2217284351831412, 2.650925972822617}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.2318271957252755, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`g, $CellContext`d, \
$CellContext`c, $CellContext`l, $CellContext`b, $CellContext`f, \
$CellContext`a, $CellContext`k}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`l -> "Name", $CellContext`f -> 
           "Name", $CellContext`e -> "Name", $CellContext`g -> 
           "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`e -> "Square", $CellContext`d -> 
           "Square", $CellContext`g -> "Square", $CellContext`a -> 
           "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> Medium, " " -> 
           0., $CellContext`g -> Medium, "  " -> 0., $CellContext`d -> 
           Medium, $CellContext`f -> Medium, $CellContext`c -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 2.499444478851095}, \
{2.2217284351831412, 2.650925972822617}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.2318271957252755, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, 1.6410494035721432}, \
{2.650925972822617, 1.7925308975436651}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {2.6610247333647514, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`g, $CellContext`h, \
$CellContext`d, $CellContext`c, $CellContext`l, $CellContext`b, \
$CellContext`f, $CellContext`a, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`l -> "Name", $CellContext`f -> 
           "Name", $CellContext`e -> "Name", $CellContext`g -> 
           "Name", $CellContext`a -> "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`e -> 
           "Square", $CellContext`d -> "Square", $CellContext`g -> 
           "Square", $CellContext`a -> "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> Medium, " " -> 
           0., $CellContext`g -> Medium, "  " -> 0., $CellContext`d -> 
           Medium, $CellContext`f -> Medium, $CellContext`c -> 
           Medium, $CellContext`h -> Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 2.499444478851095}, \
{2.2217284351831412, 2.650925972822617}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.2318271957252755, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, 1.6410494035721432}, 
             {2.650925972822617, 1.7925308975436651}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {2.6610247333647514, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 0.7826543282931913}, \
{2.2217284351831412, 0.9341358222647131}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {2.2318271957252755, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, 
             {0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`g, $CellContext`h, \
$CellContext`d, $CellContext`c, $CellContext`l, $CellContext`b, \
$CellContext`i, $CellContext`f, $CellContext`a, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`l -> "Name", $CellContext`f -> 
           "Name", $CellContext`i -> "Name", $CellContext`e -> 
           "Name", $CellContext`g -> "Name", $CellContext`a -> 
           "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`e -> 
           "Square", $CellContext`d -> "Square", $CellContext`g -> 
           "Square", $CellContext`a -> "Square", $CellContext`f -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`i -> Medium, " " -> 0., $CellContext`g -> 
           Medium, "  " -> 0., $CellContext`d -> Medium, $CellContext`f -> 
           Medium, $CellContext`c -> Medium, $CellContext`h -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 2.499444478851095}, \
{2.2217284351831412, 2.650925972822617}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.2318271957252755, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, 1.6410494035721432}, \
{2.650925972822617, 1.7925308975436651}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {2.6610247333647514, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 0.7826543282931913}, \
{2.2217284351831412, 0.9341358222647131}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {2.2318271957252755, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6410494035721432, -0.07574074698576093}, 
             {1.7925308975436651, 0.07574074698576093}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {1.8026296580857994, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`j, $CellContext`g, \
$CellContext`h, $CellContext`d, $CellContext`c, $CellContext`l, \
$CellContext`b, $CellContext`i, $CellContext`f, $CellContext`a, \
$CellContext`k}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`j -> "Name", $CellContext`l -> 
           "Name", $CellContext`f -> "Name", $CellContext`i -> 
           "Name", $CellContext`e -> "Name", $CellContext`g -> 
           "Name", $CellContext`a -> "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`e -> 
           "Square", $CellContext`j -> "Square", $CellContext`d -> 
           "Square", $CellContext`g -> "Square", $CellContext`a -> 
           "Square", $CellContext`f -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`i -> Medium, " " -> 0., $CellContext`j -> 
           Medium, $CellContext`g -> Medium, "  " -> 0., $CellContext`d -> 
           Medium, $CellContext`f -> Medium, $CellContext`c -> 
           Medium, $CellContext`h -> Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 2.499444478851095}, \
{2.2217284351831412, 2.650925972822617}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.2318271957252755, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, 1.6410494035721432}, \
{2.650925972822617, 1.7925308975436651}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {2.6610247333647514, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 0.7826543282931913}, \
{2.2217284351831412, 0.9341358222647131}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {2.2318271957252755, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6410494035721432, -0.07574074698576093}, \
{1.7925308975436651, 0.07574074698576093}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {1.8026296580857994, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, -0.07574074698576093}, \
{2.650925972822617, 0.07574074698576093}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {2.6610247333647514, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8151370418406143`*^9, 3.8151370868003454`*^9, {3.81513713211423*^9, 
   3.815137163668313*^9}, {3.8151372948512044`*^9, 3.8151373302345715`*^9}, 
   3.815137442351509*^9, 3.815137505618108*^9, {3.815137568260108*^9, 
   3.81513759064495*^9}, {3.8151377851512465`*^9, 3.8151378108167048`*^9}, 
   3.815153606760556*^9, 3.815154517705703*^9, {3.815154594289874*^9, 
   3.815154609550981*^9}, 3.8151548704647455`*^9, {3.815155595358629*^9, 
   3.8151555976363344`*^9}, 3.815159857685834*^9, 3.815164772712393*^9, 
   3.8151661376687064`*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"a770737c-9768-44cd-a9d9-af0cb0bbee00"]
}, Open  ]],

Cell["Orden intermedio:", "Text",
 CellChangeTimes->{{3.8151378430904517`*^9, 
  3.8151378674317093`*^9}},ExpressionUUID->"1da4ad35-c3e9-4895-aa8e-\
ad5de852be41"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Orden", "=", 
   RowBox[{"{", 
    RowBox[{
    "c", ",", "b", ",", "l", ",", "e", ",", "d", ",", "k", ",", "a", ",", "f",
      ",", "i", ",", "h", ",", "j", ",", "g"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"HighlightGraph", "[", 
    RowBox[{"arbol", ",", 
     RowBox[{"Orden", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "vertex"}], "]"}], "]"}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
     RowBox[{"GraphHighlightStyle", "\[Rule]", "\"\<Thick\>\""}], ",", 
     RowBox[{"VertexSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"VertexShapeFunction", "\[Rule]", "\"\<Square\>\""}]}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"vertex", ",", 
     RowBox[{"Length", "[", "Orden", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.81513782213334*^9, 3.815137826785131*^9}, 
   3.8151545746177807`*^9},
 CellLabel->"In[32]:=",ExpressionUUID->"33fc698a-c9b2-442a-abe9-cc8b30268aa5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`c}, GraphHighlightStyle -> {"Thick"},
          ImagePadding -> 10, 
         VertexLabels -> {Automatic, $CellContext`c -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square"}, 
         VertexSize -> {$CellContext`c -> Medium, " " -> 0., "  " -> 0., "" -> 
           0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["b", 
            Offset[{2, 2}, {0.4624677027275194, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8583950752789521, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["d", 
            Offset[{2, 2}, {0.8916652403669955, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["e", 
            Offset[{2, 2}, {0.4624677027275194, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03327016508804338], 
           InsetBox["l", 
            Offset[{2, 2}, {0.03327016508804338, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`b, $CellContext`c}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`b -> "Name"}, 
         VertexShapeFunction -> {$CellContext`b -> "Square", $CellContext`c -> 
           "Square"}, 
         VertexSize -> {$CellContext`b -> Medium, $CellContext`c -> Medium, 
           " " -> 0., "  " -> 0., "" -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8583950752789521, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["d", 
            Offset[{2, 2}, {0.8916652403669955, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["e", 
            Offset[{2, 2}, {0.4624677027275194, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03327016508804338], 
           InsetBox["l", 
            Offset[{2, 2}, {0.03327016508804338, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`b, $CellContext`l, $CellContext`c}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`l -> "Name", $CellContext`c -> 
           "Name", $CellContext`b -> "Name"}, 
         VertexShapeFunction -> {$CellContext`b -> "Square", $CellContext`l -> 
           "Square", $CellContext`c -> "Square"}, 
         VertexSize -> {$CellContext`b -> Medium, $CellContext`l -> 
           Medium, $CellContext`c -> Medium, " " -> 0., "  " -> 0., "" -> 
           0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8583950752789521, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["d", 
            Offset[{2, 2}, {0.8916652403669955, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["e", 
            Offset[{2, 2}, {0.4624677027275194, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`b, $CellContext`l, $CellContext`e, \
$CellContext`c}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`e -> "Name", $CellContext`l -> 
           "Name", $CellContext`c -> "Name", $CellContext`b -> "Name"}, 
         VertexShapeFunction -> {$CellContext`b -> "Square", $CellContext`e -> 
           "Square", $CellContext`l -> "Square", $CellContext`c -> "Square"}, 
         VertexSize -> {$CellContext`b -> Medium, $CellContext`e -> 
           Medium, $CellContext`l -> Medium, $CellContext`c -> Medium, " " -> 
           0., "  " -> 0., "" -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8583950752789521, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["d", 
            Offset[{2, 2}, {0.8916652403669955, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`d, $CellContext`c, \
$CellContext`l, $CellContext`b}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`l -> 
           "Name", $CellContext`e -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`l -> "Square", $CellContext`e -> 
           "Square", $CellContext`d -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`b -> Medium, " " -> 
           0., "  " -> 0., $CellContext`d -> Medium, $CellContext`c -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`d, $CellContext`c, \
$CellContext`l, $CellContext`b, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`l -> "Name", $CellContext`e -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`e -> "Square", $CellContext`d -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`b -> 
           Medium, $CellContext`k -> Medium, " " -> 0., "  " -> 
           0., $CellContext`d -> Medium, $CellContext`c -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`d, $CellContext`c, \
$CellContext`l, $CellContext`b, $CellContext`a, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`l -> "Name", $CellContext`e -> 
           "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`e -> "Square", $CellContext`d -> 
           "Square", $CellContext`a -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> Medium, " " -> 
           0., "  " -> 0., $CellContext`d -> Medium, $CellContext`c -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`d, $CellContext`c, \
$CellContext`l, $CellContext`b, $CellContext`f, $CellContext`a, \
$CellContext`k}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`l -> "Name", $CellContext`f -> 
           "Name", $CellContext`e -> "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`e -> "Square", $CellContext`d -> 
           "Square", $CellContext`a -> "Square", $CellContext`f -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> Medium, " " -> 
           0., "  " -> 0., $CellContext`d -> Medium, $CellContext`f -> 
           Medium, $CellContext`c -> Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 2.499444478851095}, \
{2.2217284351831412, 2.650925972822617}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.2318271957252755, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`d, $CellContext`c, \
$CellContext`l, $CellContext`b, $CellContext`i, $CellContext`f, \
$CellContext`a, $CellContext`k}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`l -> "Name", $CellContext`f -> 
           "Name", $CellContext`i -> "Name", $CellContext`e -> 
           "Name", $CellContext`a -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`e -> "Square", $CellContext`d -> 
           "Square", $CellContext`a -> "Square", $CellContext`f -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`i -> Medium, " " -> 0., "  " -> 
           0., $CellContext`d -> Medium, $CellContext`f -> 
           Medium, $CellContext`c -> Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, 
             {1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 2.499444478851095}, \
{2.2217284351831412, 2.650925972822617}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.2318271957252755, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6410494035721432, -0.07574074698576093}, \
{1.7925308975436651, 0.07574074698576093}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {1.8026296580857994, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`h, $CellContext`d, \
$CellContext`c, $CellContext`l, $CellContext`b, $CellContext`i, \
$CellContext`f, $CellContext`a, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`l -> "Name", $CellContext`f -> 
           "Name", $CellContext`i -> "Name", $CellContext`e -> 
           "Name", $CellContext`a -> "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`e -> 
           "Square", $CellContext`d -> "Square", $CellContext`a -> 
           "Square", $CellContext`f -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`i -> Medium, " " -> 0., "  " -> 
           0., $CellContext`d -> Medium, $CellContext`f -> 
           Medium, $CellContext`c -> Medium, $CellContext`h -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 2.499444478851095}, \
{2.2217284351831412, 2.650925972822617}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.2318271957252755, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 0.7826543282931913}, \
{2.2217284351831412, 0.9341358222647131}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {2.2318271957252755, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6410494035721432, -0.07574074698576093}, \
{1.7925308975436651, 0.07574074698576093}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {1.8026296580857994, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`j, $CellContext`h, \
$CellContext`d, $CellContext`c, $CellContext`l, $CellContext`b, \
$CellContext`i, $CellContext`f, $CellContext`a, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`j -> "Name", $CellContext`l -> 
           "Name", $CellContext`f -> "Name", $CellContext`i -> 
           "Name", $CellContext`e -> "Name", $CellContext`a -> 
           "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`e -> 
           "Square", $CellContext`j -> "Square", $CellContext`d -> 
           "Square", $CellContext`a -> "Square", $CellContext`f -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`i -> Medium, " " -> 0., $CellContext`j -> 
           Medium, "  " -> 0., $CellContext`d -> Medium, $CellContext`f -> 
           Medium, $CellContext`c -> Medium, $CellContext`h -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 2.499444478851095}, \
{2.2217284351831412, 2.650925972822617}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.2318271957252755, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 0.7826543282931913}, \
{2.2217284351831412, 0.9341358222647131}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {2.2318271957252755, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6410494035721432, -0.07574074698576093}, \
{1.7925308975436651, 0.07574074698576093}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {1.8026296580857994, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, -0.07574074698576093}, \
{2.650925972822617, 0.07574074698576093}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {2.6610247333647514, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`j, $CellContext`g, \
$CellContext`h, $CellContext`d, $CellContext`c, $CellContext`l, \
$CellContext`b, $CellContext`i, $CellContext`f, $CellContext`a, \
$CellContext`k}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`j -> "Name", $CellContext`l -> 
           "Name", $CellContext`f -> "Name", $CellContext`i -> 
           "Name", $CellContext`e -> "Name", $CellContext`g -> 
           "Name", $CellContext`a -> "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`e -> 
           "Square", $CellContext`j -> "Square", $CellContext`d -> 
           "Square", $CellContext`g -> "Square", $CellContext`a -> 
           "Square", $CellContext`f -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`i -> Medium, " " -> 0., $CellContext`j -> 
           Medium, $CellContext`g -> Medium, "  " -> 0., $CellContext`d -> 
           Medium, $CellContext`f -> Medium, $CellContext`c -> 
           Medium, $CellContext`h -> Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 2.499444478851095}, \
{2.2217284351831412, 2.650925972822617}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.2318271957252755, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, 1.6410494035721432}, \
{2.650925972822617, 1.7925308975436651}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {2.6610247333647514, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 0.7826543282931913}, \
{2.2217284351831412, 0.9341358222647131}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {2.2318271957252755, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6410494035721432, -0.07574074698576093}, \
{1.7925308975436651, 0.07574074698576093}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {1.8026296580857994, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, -0.07574074698576093}, \
{2.650925972822617, 0.07574074698576093}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {2.6610247333647514, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{{3.8151378238491926`*^9, 3.8151378271047544`*^9}, 
   3.8151537236938024`*^9, 3.8151546165092955`*^9, 3.815159863560087*^9, 
   3.815161641601857*^9, 3.8151647775488834`*^9, 3.8151661454408083`*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"724603a2-7b9e-4ec6-ba86-43ebbc4d2ba2"]
}, Open  ]],

Cell["Orden final:", "Text",
 CellChangeTimes->{{3.8151378430904517`*^9, 
  3.815137875682664*^9}},ExpressionUUID->"563ece17-16bf-4f58-9b72-\
bf982a983039"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Orden", "=", 
   RowBox[{"{", 
    RowBox[{
    "c", ",", "l", ",", "e", ",", "k", ",", "d", ",", "b", ",", "i", ",", "j",
      ",", "h", ",", "g", ",", "f", ",", "a"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"HighlightGraph", "[", 
    RowBox[{"arbol", ",", 
     RowBox[{"Orden", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "vertex"}], "]"}], "]"}], ",", 
     RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
     RowBox[{"GraphHighlightStyle", "\[Rule]", "\"\<Thick\>\""}], ",", 
     RowBox[{"VertexSize", "\[Rule]", "Medium"}], ",", 
     RowBox[{"VertexShapeFunction", "\[Rule]", "\"\<Square\>\""}]}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"vertex", ",", 
     RowBox[{"Length", "[", "Orden", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.815154580689613*^9, 3.81515458195641*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"9a5092d2-6680-42ab-ae31-622e596dbb3f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`c}, GraphHighlightStyle -> {"Thick"},
          ImagePadding -> 10, 
         VertexLabels -> {Automatic, $CellContext`c -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square"}, 
         VertexSize -> {$CellContext`c -> Medium, " " -> 0., "  " -> 0., "" -> 
           0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["b", 
            Offset[{2, 2}, {0.4624677027275194, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8583950752789521, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["d", 
            Offset[{2, 2}, {0.8916652403669955, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["e", 
            Offset[{2, 2}, {0.4624677027275194, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0., 0.}, 0.03327016508804338], 
           InsetBox["l", 
            Offset[{2, 2}, {0.03327016508804338, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`l, $CellContext`c}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`l -> "Name", $CellContext`c -> "Name"}, 
         VertexShapeFunction -> {$CellContext`l -> "Square", $CellContext`c -> 
           "Square"}, 
         VertexSize -> {$CellContext`l -> Medium, $CellContext`c -> Medium, 
           " " -> 0., "  " -> 0., "" -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["b", 
            Offset[{2, 2}, {0.4624677027275194, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8583950752789521, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["d", 
            Offset[{2, 2}, {0.8916652403669955, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["e", 
            Offset[{2, 2}, {0.4624677027275194, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`l, $CellContext`e, $CellContext`c}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`e -> "Name", $CellContext`l -> 
           "Name", $CellContext`c -> "Name"}, 
         VertexShapeFunction -> {$CellContext`e -> "Square", $CellContext`l -> 
           "Square", $CellContext`c -> "Square"}, 
         VertexSize -> {$CellContext`e -> Medium, $CellContext`l -> 
           Medium, $CellContext`c -> Medium, " " -> 0., "  " -> 0., "" -> 
           0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["b", 
            Offset[{2, 2}, {0.4624677027275194, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8583950752789521, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["d", 
            Offset[{2, 2}, {0.8916652403669955, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.287592612918428, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["k", 
            Offset[{2, 2}, {1.3208627780064714, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`k, $CellContext`l, $CellContext`e, \
$CellContext`c}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`e -> "Name", $CellContext`l -> 
           "Name", $CellContext`k -> "Name", $CellContext`c -> "Name"}, 
         VertexShapeFunction -> {$CellContext`k -> "Square", $CellContext`e -> 
           "Square", $CellContext`l -> "Square", $CellContext`c -> "Square"}, 
         VertexSize -> {$CellContext`e -> Medium, $CellContext`l -> 
           Medium, $CellContext`c -> Medium, $CellContext`k -> Medium, " " -> 
           0., "  " -> 0., "" -> 0.}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["b", 
            Offset[{2, 2}, {0.4624677027275194, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.8583950752789521, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["d", 
            Offset[{2, 2}, {0.8916652403669955, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`d, $CellContext`c, \
$CellContext`l, $CellContext`k}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`k -> "Name", $CellContext`l -> 
           "Name", $CellContext`e -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`e -> 
           "Square", $CellContext`d -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`k -> Medium, " " -> 
           0., "  " -> 0., $CellContext`d -> Medium, $CellContext`c -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{0.42919753763947605, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["b", 
            Offset[{2, 2}, {0.4624677027275194, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`d, $CellContext`c, \
$CellContext`l, $CellContext`b, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`l -> "Name", $CellContext`e -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`e -> "Square", $CellContext`d -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`b -> 
           Medium, $CellContext`k -> Medium, " " -> 0., "  " -> 
           0., $CellContext`d -> Medium, $CellContext`c -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 0.}, 0.03327016508804338], 
           InsetBox["i", 
            Offset[{2, 2}, {1.7500603156459476, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`d, $CellContext`c, \
$CellContext`l, $CellContext`b, $CellContext`i, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`l -> "Name", $CellContext`i -> 
           "Name", $CellContext`e -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`e -> "Square", $CellContext`d -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`b -> 
           Medium, $CellContext`k -> Medium, $CellContext`i -> Medium, " " -> 
           0., "  " -> 0., $CellContext`d -> Medium, $CellContext`c -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6410494035721432, -0.07574074698576093}, \
{1.7925308975436651, 0.07574074698576093}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {1.8026296580857994, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 0.}, 0.03327016508804338], 
           InsetBox["j", 
            Offset[{2, 2}, {2.6084553909248998, 0.03327016508804338}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`j, $CellContext`d, \
$CellContext`c, $CellContext`l, $CellContext`b, $CellContext`i, \
$CellContext`k}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`j -> "Name", $CellContext`l -> 
           "Name", $CellContext`i -> "Name", $CellContext`e -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`l -> "Square", $CellContext`k -> 
           "Square", $CellContext`e -> "Square", $CellContext`j -> 
           "Square", $CellContext`d -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`b -> 
           Medium, $CellContext`k -> Medium, $CellContext`i -> Medium, " " -> 
           0., $CellContext`j -> Medium, "  " -> 0., $CellContext`d -> 
           Medium, $CellContext`c -> Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 0.8583950752789522}, 
            0.03327016508804338], 
           InsetBox["h", 
            Offset[{2, 2}, {2.179257853285424, 0.8916652403669956}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6410494035721432, -0.07574074698576093}, \
{1.7925308975436651, 0.07574074698576093}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {1.8026296580857994, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, -0.07574074698576093}, \
{2.650925972822617, 0.07574074698576093}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {2.6610247333647514, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`j, $CellContext`h, \
$CellContext`d, $CellContext`c, $CellContext`l, $CellContext`b, \
$CellContext`i, $CellContext`k}, GraphHighlightStyle -> {"Thick"}, 
         ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`j -> "Name", $CellContext`l -> 
           "Name", $CellContext`i -> "Name", $CellContext`e -> 
           "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`e -> 
           "Square", $CellContext`j -> "Square", $CellContext`d -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`b -> 
           Medium, $CellContext`k -> Medium, $CellContext`i -> Medium, " " -> 
           0., $CellContext`j -> Medium, "  " -> 0., $CellContext`d -> 
           Medium, $CellContext`c -> Medium, $CellContext`h -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.575185225836856, 1.7167901505579042}, 
            0.03327016508804338], 
           InsetBox["g", 
            Offset[{2, 2}, {2.6084553909248998, 1.7500603156459476}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 0.7826543282931913}, \
{2.2217284351831412, 0.9341358222647131}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {2.2318271957252755, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6410494035721432, -0.07574074698576093}, \
{1.7925308975436651, 0.07574074698576093}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {1.8026296580857994, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, -0.07574074698576093}, \
{2.650925972822617, 0.07574074698576093}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {2.6610247333647514, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`j, $CellContext`g, \
$CellContext`h, $CellContext`d, $CellContext`c, $CellContext`l, \
$CellContext`b, $CellContext`i, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`j -> "Name", $CellContext`l -> 
           "Name", $CellContext`i -> "Name", $CellContext`e -> 
           "Name", $CellContext`g -> "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`e -> 
           "Square", $CellContext`j -> "Square", $CellContext`d -> 
           "Square", $CellContext`g -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`b -> 
           Medium, $CellContext`k -> Medium, $CellContext`i -> Medium, " " -> 
           0., $CellContext`j -> Medium, $CellContext`g -> Medium, "  " -> 
           0., $CellContext`d -> Medium, $CellContext`c -> 
           Medium, $CellContext`h -> Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{2.1459876881973803, 2.575185225836856}, 
            0.03327016508804338], 
           InsetBox["f", 
            Offset[{2, 2}, {2.179257853285424, 2.6084553909248998}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, 1.6410494035721432}, \
{2.650925972822617, 1.7925308975436651}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {2.6610247333647514, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 0.7826543282931913}, \
{2.2217284351831412, 0.9341358222647131}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {2.2318271957252755, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6410494035721432, -0.07574074698576093}, \
{1.7925308975436651, 0.07574074698576093}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {1.8026296580857994, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, -0.07574074698576093}, \
{2.650925972822617, 0.07574074698576093}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {2.6610247333647514, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`j, $CellContext`g, \
$CellContext`h, $CellContext`d, $CellContext`c, $CellContext`l, \
$CellContext`b, $CellContext`i, $CellContext`f, $CellContext`k}, 
         GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`j -> "Name", $CellContext`l -> 
           "Name", $CellContext`f -> "Name", $CellContext`i -> 
           "Name", $CellContext`e -> "Name", $CellContext`g -> 
           "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`e -> 
           "Square", $CellContext`j -> "Square", $CellContext`d -> 
           "Square", $CellContext`g -> "Square", $CellContext`f -> 
           "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`l -> Medium, $CellContext`b -> 
           Medium, $CellContext`k -> Medium, $CellContext`i -> Medium, " " -> 
           0., $CellContext`j -> Medium, $CellContext`g -> Medium, "  " -> 
           0., $CellContext`d -> Medium, $CellContext`f -> 
           Medium, $CellContext`c -> Medium, $CellContext`h -> 
           Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
          0.7]}], {
           DiskBox[{1.287592612918428, 3.4335803011158084}, 
            0.03327016508804338], 
           InsetBox["a", 
            Offset[{2, 2}, {1.3208627780064714, 3.466850466203852}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 2.499444478851095}, \
{2.2217284351831412, 2.650925972822617}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.2318271957252755, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, 
             {0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, 1.6410494035721432}, \
{2.650925972822617, 1.7925308975436651}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {2.6610247333647514, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 0.7826543282931913}, \
{2.2217284351831412, 0.9341358222647131}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {2.2318271957252755, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6410494035721432, -0.07574074698576093}, \
{1.7925308975436651, 0.07574074698576093}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {1.8026296580857994, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, -0.07574074698576093}, \
{2.650925972822617, 0.07574074698576093}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {2.6610247333647514, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10], ",", 
   GraphicsBox[
    NamespaceBox["NetworkGraphics",
     DynamicModuleBox[{Typeset`graph = HoldComplete[
       Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, 
         "", $CellContext`g, $CellContext`e, $CellContext`k, $CellContext`h, 
         " ", $CellContext`i, $CellContext`j, $CellContext`l, "  "}, {
        Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {3, 7}, {5, 8}, {5, 
         9}, {7, 10}, {7, 11}, {10, 12}, {10, 13}, {8, 14}, {8, 15}}}, {
        EdgeStyle -> {
          UndirectedEdge[$CellContext`g, " "] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`f, ""] -> GrayLevel[0, 0], 
           UndirectedEdge[$CellContext`e, "  "] -> GrayLevel[0, 0]}, 
         GraphHighlight -> {$CellContext`e, $CellContext`j, $CellContext`g, \
$CellContext`h, $CellContext`d, $CellContext`c, $CellContext`l, \
$CellContext`b, $CellContext`i, $CellContext`f, $CellContext`a, \
$CellContext`k}, GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
         VertexLabels -> {
          Automatic, $CellContext`c -> "Name", $CellContext`d -> 
           "Name", $CellContext`b -> "Name", $CellContext`k -> 
           "Name", $CellContext`j -> "Name", $CellContext`l -> 
           "Name", $CellContext`f -> "Name", $CellContext`i -> 
           "Name", $CellContext`e -> "Name", $CellContext`g -> 
           "Name", $CellContext`a -> "Name", $CellContext`h -> "Name"}, 
         VertexShapeFunction -> {$CellContext`c -> "Square", $CellContext`b -> 
           "Square", $CellContext`h -> "Square", $CellContext`l -> 
           "Square", $CellContext`k -> "Square", $CellContext`e -> 
           "Square", $CellContext`j -> "Square", $CellContext`d -> 
           "Square", $CellContext`g -> "Square", $CellContext`a -> 
           "Square", $CellContext`f -> "Square", $CellContext`i -> "Square"}, 
         VertexSize -> {
          "" -> 0., $CellContext`a -> Medium, $CellContext`l -> 
           Medium, $CellContext`b -> Medium, $CellContext`k -> 
           Medium, $CellContext`i -> Medium, " " -> 0., $CellContext`j -> 
           Medium, $CellContext`g -> Medium, "  " -> 0., $CellContext`d -> 
           Medium, $CellContext`f -> Medium, $CellContext`c -> 
           Medium, $CellContext`h -> Medium, $CellContext`e -> Medium}}]]}, 
      TagBox[GraphicsGroupBox[{
         {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           0.42919753763947605`, 2.575185225836856}}], 
          LineBox[{{1.287592612918428, 3.4335803011158084`}, {
           2.1459876881973803`, 2.575185225836856}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {0., 
           1.7167901505579042`}}], 
          LineBox[{{0.42919753763947605`, 2.575185225836856}, {
           0.8583950752789521, 1.7167901505579042`}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.1459876881973803`, 2.575185225836856}, {
            1.7167901505579042`, 1.7167901505579042`}}]}, 
          LineBox[{{2.1459876881973803`, 2.575185225836856}, {
           2.575185225836856, 1.7167901505579042`}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           0.42919753763947605`, 0.8583950752789522}}], 
          LineBox[{{0.8583950752789521, 1.7167901505579042`}, {
           1.287592612918428, 0.8583950752789522}}], 
          LineBox[{{2.575185225836856, 1.7167901505579042`}, {
           2.1459876881973803`, 0.8583950752789522}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{2.575185225836856, 1.7167901505579042`}, {
            3.0043827634763325`, 0.8583950752789522}}]}, 
          LineBox[{{0.42919753763947605`, 0.8583950752789522}, {0., 0.}}], 
          {GrayLevel[0], Opacity[0], 
           LineBox[{{0.42919753763947605`, 0.8583950752789522}, {
            0.8583950752789521, 0.}}]}, 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           1.7167901505579042`, 0.}}], 
          LineBox[{{2.1459876881973803`, 0.8583950752789522}, {
           2.575185225836856, 0.}}]}, 
         {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 3.3578395541300474}, \
{1.363333359904189, 3.5093210481015693}]}, 
           InsetBox["a", 
            Offset[{2, 2}, {1.3734321204463233, 3.5194198086437036}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 2.499444478851095}, \
{0.5049382846252369, 2.650925972822617}]}, 
           InsetBox["b", 
            Offset[{2, 2}, {0.5150370451673713, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 2.499444478851095}, \
{2.2217284351831412, 2.650925972822617}]}, 
           InsetBox["f", 
            Offset[{2, 2}, {2.2318271957252755, 2.6610247333647514}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, 1.6410494035721432}, \
{0.07574074698576093, 1.7925308975436651}]}, 
           InsetBox["c", 
            Offset[{2, 2}, {0.08583950752789521, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.7826543282931911, 1.6410494035721432}, \
{0.934135822264713, 1.7925308975436651}]}, 
           InsetBox["d", 
            Offset[{2, 2}, {0.9442345828068472, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{1.7167901505579042, 1.7167901505579042}, 0.], 
           InsetBox["\<\"\"\>", 
            Offset[{2, 2}, {1.7167901505579042, 1.7167901505579042}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, 1.6410494035721432}, \
{2.650925972822617, 1.7925308975436651}]}, 
           InsetBox["g", 
            Offset[{2, 2}, {2.6610247333647514, 1.8026296580857994}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{0.3534567906537151, 0.7826543282931913}, \
{0.5049382846252369, 0.9341358222647131}]}, 
           InsetBox["e", 
            Offset[{2, 2}, {0.5150370451673713, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.2118518659326671, 0.7826543282931913}, \
{1.363333359904189, 0.9341358222647131}]}, 
           InsetBox["k", 
            Offset[{2, 2}, {1.3734321204463233, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.0702469412116193, 0.7826543282931913}, \
{2.2217284351831412, 0.9341358222647131}]}, 
           InsetBox["h", 
            Offset[{2, 2}, {2.2318271957252755, 0.9442345828068475}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           DiskBox[{3.0043827634763325, 0.8583950752789522}, 0.], 
           InsetBox["\<\" \"\>", 
            Offset[{2, 2}, {3.0043827634763325, 0.8583950752789522}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{1.6410494035721432, -0.07574074698576093}, \
{1.7925308975436651, 0.07574074698576093}]}, 
           InsetBox["i", 
            Offset[{2, 2}, {1.8026296580857994, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{2.499444478851095, -0.07574074698576093}, \
{2.650925972822617, 0.07574074698576093}]}, 
           InsetBox["j", 
            Offset[{2, 2}, {2.6610247333647514, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {
           {RGBColor[0.85, 0.5, 0.5], EdgeForm[{Hue[1, 1, 0.7], Opacity[1], 
            Thickness[Large]}], 
            RectangleBox[{-0.07574074698576093, -0.07574074698576093}, \
{0.07574074698576093, 0.07574074698576093}]}, 
           InsetBox["l", 
            Offset[{2, 2}, {0.08583950752789521, 0.08583950752789521}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}, {DiskBox[{0.8583950752789521, 0.}, 0.], 
           InsetBox["\<\"  \"\>", Offset[{2, 2}, {0.8583950752789521, 0.}], 
            ImageScaled[{0, 0}],
            BaseStyle->"Graphics"]}}}],
       MouseAppearanceTag["NetworkGraphics"]],
      AllowKernelInitialization->False]],
    DefaultBaseStyle->{
     "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
    FormatType->TraditionalForm,
    FrameTicks->None,
    ImagePadding->10]}], "}"}]], "Output",
 CellChangeTimes->{3.815137834487319*^9, 3.815154623595769*^9, 
  3.8151621588486023`*^9, 3.815164782293951*^9, 3.8151661501023097`*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"563601af-11cf-4b77-a088-6af0acda86e9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"arbolSoft", "=", 
  RowBox[{"Arbol", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "k"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "l"}], "}"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.815154537245714*^9, {3.81515479619963*^9, 3.8151547969640913`*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"27f62a79-57e4-47b9-bd5a-7dc1edfb5e01"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`f, $CellContext`c, \
$CellContext`d, $CellContext`g, $CellContext`e, $CellContext`k, \
$CellContext`h, $CellContext`i, $CellContext`j, $CellContext`l}, {
      Null, {{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 6}, {5, 7}, {5, 8}, {6, 9}, {
       9, 10}, {9, 11}, {7, 12}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}, 
       VertexShapeFunction -> {"Circle"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGDgBmImKL7sPNck6vkX+6PrL35Qus/tAKFv218Bi7M4oMvf
5m2+VprN6ACTR1fPAAUQ8d/26PIQ/mt7mDy6eTA+qn6Eeph5J1DEEfIw98Lk
0c2D8VH1o5t32x7mD+zqf+OUv4wWDgAC/7ps
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.3064825110670781, 3.483953362845542}, 
          0.03361234706768233], 
         InsetBox["a", 
          Offset[{2, 2}, {1.3400948581347605, 3.5175657099132245}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.43549417035569277, 2.6129650221341567}, 
          0.03361234706768233], 
         InsetBox["b", 
          Offset[{2, 2}, {0.4691065174233751, 2.646577369201839}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.177470851778464, 2.6129650221341567}, 
          0.03361234706768233], 
         InsetBox["f", Offset[{2, 2}, {2.211083198846146, 2.646577369201839}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 1.741976681422771}, 0.03361234706768233], 
         InsetBox["c", 
          Offset[{2, 2}, {0.03361234706768233, 1.7755890284904534}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8709883407113855, 1.741976681422771}, 
          0.03361234706768233], 
         InsetBox["d", 
          Offset[{2, 2}, {0.9046006877790679, 1.7755890284904534}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.177470851778464, 1.741976681422771}, 0.03361234706768233],
          InsetBox["g", 
          Offset[{2, 2}, {2.211083198846146, 1.7755890284904534}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.43549417035569277, 0.8709883407113859}, 
          0.03361234706768233], 
         InsetBox["e", 
          Offset[{2, 2}, {0.4691065174233751, 0.9046006877790682}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.3064825110670781, 0.8709883407113859}, 
          0.03361234706768233], 
         InsetBox["k", 
          Offset[{2, 2}, {1.3400948581347605, 0.9046006877790682}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.177470851778464, 0.8709883407113859}, 
          0.03361234706768233], 
         InsetBox["h", 
          Offset[{2, 2}, {2.211083198846146, 0.9046006877790682}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.741976681422771, 0.}, 0.03361234706768233], 
         InsetBox["i", 
          Offset[{2, 2}, {1.7755890284904534, 0.03361234706768233}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.6129650221341563, 0.}, 0.03361234706768233], 
         InsetBox["j", 
          Offset[{2, 2}, {2.6465773692018386, 0.03361234706768233}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.43549417035569277, 0.}, 0.03361234706768233], 
         InsetBox["l", 
          Offset[{2, 2}, {0.4691065174233751, 0.03361234706768233}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8151545415556345`*^9, 3.815154629248496*^9, 
  3.815154810215143*^9, 3.81516478673345*^9, 3.8151661543478184`*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"75360992-1b55-4366-bdb2-2ced3f2d7147"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Prefijo", "[", 
  RowBox[{"arbolSoft", ",", "a"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Prefijo", "[", 
  RowBox[{"arbolSoft", ",", "a", ",", 
   RowBox[{"animacion", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8151537508389835`*^9, 3.8151537757358637`*^9}, {
  3.8151546452207727`*^9, 3.815154648550726*^9}, {3.815154804145955*^9, 
  3.8151548062324157`*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"145416e6-bc64-47cd-bf2c-cad0b2954732"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "l", ",", "k", ",", "f", 
   ",", "g", ",", "h", ",", "i", ",", "j"}], "}"}]], "Output",
 CellChangeTimes->{{3.815154649351915*^9, 3.815154653629622*^9}, 
   3.81515481289657*^9, 3.8151647898729897`*^9, 3.815166157520768*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"be7f6174-139a-4950-877a-8dadfb1af024"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "l", ",", "k", ",", "f", 
   ",", "g", ",", "h", ",", "i", ",", "j"}], "}"}]], "Print",
 CellChangeTimes->{
  3.8151537767641826`*^9, 3.8151545442135906`*^9, {3.815154632825563*^9, 
   3.8151546536635323`*^9}, 3.8151548129324746`*^9, 3.8151647899138794`*^9, 
   3.815166157565648*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[37]:=",ExpressionUUID->"48ac51a0-2135-497f-a344-9eeaa92846bb"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Ai15$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Ai15$$], 1, "Nodos"}, 1, 12, 1}}, 
    Typeset`size$$ = {501.6211731009531, {320., 328.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Ai15$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`AArbolAuxiliar10, 
        Cases[VilCretas`Private`AList21, 
         Condition[
          Pattern[VilCretas`Private`Aicontador12$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Ai14, {
            VilCretas`Private`Ai14, VilCretas`Private`Ai15$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`AList21, VilCretas`Private`Aicontador12$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 10, 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Ai15$$, 1, "Nodos"}, 1, 12, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{568., {377., 385.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{
  3.8151537767641826`*^9, 3.8151545442135906`*^9, {3.815154632825563*^9, 
   3.8151546536635323`*^9}, 3.8151548129324746`*^9, 3.8151647899138794`*^9, 
   3.815166157594571*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[37]:=",ExpressionUUID->"6eba2437-d210-45b0-aa2c-6e7315b0ed36"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Postfijo", "[", 
  RowBox[{"arbolSoft", ",", "a"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Postfijo", "[", 
  RowBox[{"arbolSoft", ",", "a", ",", 
   RowBox[{"animacion", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8151537857491713`*^9, 3.81515378620512*^9}, {
  3.8151546625487514`*^9, 3.815154666417247*^9}, {3.815154816795724*^9, 
  3.815154818451232*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"23b0ccaa-334e-485b-8463-74302be0bc3a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "c", ",", "l", ",", "e", ",", "k", ",", "d", ",", "b", ",", "i", ",", "j", 
   ",", "h", ",", "g", ",", "f", ",", "a"}], "}"}]], "Output",
 CellChangeTimes->{3.815154667371456*^9, 3.8151548188037343`*^9, 
  3.8151648267675653`*^9, 3.8151661607200155`*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"c96a417c-11d8-4739-bd3e-9acf4201ff6a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "c", ",", "l", ",", "e", ",", "k", ",", "d", ",", "b", ",", "i", ",", "j", 
   ",", "h", ",", "g", ",", "f", ",", "a"}], "}"}]], "Print",
 CellChangeTimes->{3.8151537869066343`*^9, 3.8151545509151087`*^9, 
  3.8151546362119727`*^9, 3.8151546673993807`*^9, 3.8151548188416324`*^9, 
  3.815164826803281*^9, 3.8151661607469425`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[39]:=",ExpressionUUID->"cad91f15-7c6a-408c-abb1-97b99ea5cff2"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Ai17$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Ai17$$], 1, "Nodos"}, 1, 12, 1}}, 
    Typeset`size$$ = {651., {414., 425.0864858495962}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Ai17$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`AArbolAuxiliar11, 
        Cases[VilCretas`Private`AList22, 
         Condition[
          Pattern[VilCretas`Private`Aicontador13$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Ai16, {
            VilCretas`Private`Ai16, VilCretas`Private`Ai17$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`AList22, VilCretas`Private`Aicontador13$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 10, 
        GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Ai17$$, 1, "Nodos"}, 1, 12, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{747., {495.25, 507.75}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.8151537869066343`*^9, 3.8151545509151087`*^9, 
  3.8151546362119727`*^9, 3.8151546673993807`*^9, 3.8151548188416324`*^9, 
  3.815164826803281*^9, 3.815166160763898*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[39]:=",ExpressionUUID->"967e6974-1337-4144-a212-25d4baee573d"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"bac53e21-6651-442e-8ec2-2c997c0c72e0"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 63, "Input",ExpressionUUID->"cfefd564-2c30-411d-bc5b-fe0aeb4fd85d"],
Cell[CellGroupData[{
Cell[785, 27, 2244, 59, 749, "Input",ExpressionUUID->"7610b8b6-6de7-4378-b01f-6dc7de1db106"],
Cell[3032, 88, 6725, 140, 860, "Output",ExpressionUUID->"0b9fac63-6b56-4b38-9c6f-023bcb10198d"]
}, Open  ]],
Cell[9772, 231, 160, 3, 77, "Text",ExpressionUUID->"8bd3ac2f-bf13-45d8-a6d0-5a759aa1f016"],
Cell[CellGroupData[{
Cell[9957, 238, 1547, 32, 302, "Input",ExpressionUUID->"e4876c8f-c999-45b0-95ac-72c61d395cd1"],
Cell[11507, 272, 101819, 1979, 3155, "Output",ExpressionUUID->"a770737c-9768-44cd-a9d9-af0cb0bbee00"]
}, Open  ]],
Cell[113341, 2254, 163, 3, 75, "Text",ExpressionUUID->"1da4ad35-c3e9-4895-aa8e-ad5de852be41"],
Cell[CellGroupData[{
Cell[113529, 2261, 1074, 26, 302, "Input",ExpressionUUID->"33fc698a-c9b2-442a-abe9-cc8b30268aa5"],
Cell[114606, 2289, 101886, 1992, 3137, "Output",ExpressionUUID->"724603a2-7b9e-4ec6-ba86-43ebbc4d2ba2"]
}, Open  ]],
Cell[216507, 4284, 156, 3, 75, "Text",ExpressionUUID->"563ece17-16bf-4f58-9b72-bf982a983039"],
Cell[CellGroupData[{
Cell[216688, 4291, 1046, 25, 302, "Input",ExpressionUUID->"9a5092d2-6680-42ab-ae31-622e596dbb3f"],
Cell[217737, 4318, 102043, 2000, 3130, "Output",ExpressionUUID->"563601af-11cf-4b77-a088-6af0acda86e9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[319817, 6323, 982, 29, 151, "Input",ExpressionUUID->"27f62a79-57e4-47b9-bd5a-7dc1edfb5e01"],
Cell[320802, 6354, 4287, 94, 1010, "Output",ExpressionUUID->"75360992-1b55-4366-bdb2-2ced3f2d7147"]
}, Open  ]],
Cell[CellGroupData[{
Cell[325126, 6453, 487, 9, 141, "Input",ExpressionUUID->"145416e6-bc64-47cd-bf2c-cad0b2954732"],
Cell[325616, 6464, 396, 7, 72, "Output",ExpressionUUID->"be7f6174-139a-4950-877a-8dadfb1af024"],
Cell[CellGroupData[{
Cell[326037, 6475, 493, 11, 49, "Print",ExpressionUUID->"48ac51a0-2135-497f-a344-9eeaa92846bb"],
Cell[326533, 6488, 2381, 52, 1164, "Print",ExpressionUUID->"6eba2437-d210-45b0-aa2c-6e7315b0ed36"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[328963, 6546, 484, 9, 141, "Input",ExpressionUUID->"23b0ccaa-334e-485b-8463-74302be0bc3a"],
Cell[329450, 6557, 376, 7, 72, "Output",ExpressionUUID->"c96a417c-11d8-4739-bd3e-9acf4201ff6a"],
Cell[CellGroupData[{
Cell[329851, 6568, 488, 10, 49, "Print",ExpressionUUID->"cad91f15-7c6a-408c-abb1-97b99ea5cff2"],
Cell[330342, 6580, 2378, 51, 1023, "Print",ExpressionUUID->"967e6974-1337-4144-a212-25d4baee573d"]
}, Open  ]]
}, Open  ]]
}
]
*)

